REST API v1
Custom records
Base URL https://your-site.com/wp-json/cliedesk-api/v1. See the overview for keys, scopes and errors.
List custom record types
GET /custom-record-types
Scope records:read · Cost 1
Parameters
| Name | Type | Description |
|---|---|---|
archived | query · boolean |
List custom records of a type
GET /custom-records
Scope records:read · Cost 1
Parameters
| Name | Type | Description |
|---|---|---|
type_id required | query · integer | |
contact_id | query · string | |
q | query · string | |
limit | query · integer |
Create a custom record
POST /custom-records
Scope records:write · Cost 2
Parameters
| Name | Type | Description |
|---|---|---|
Idempotency-Key | header · string |
Request body (JSON)
| Name | Type | Description |
|---|---|---|
type_id required | integer | |
product_id | string | |
title required | string | |
contact_id | string | |
organization_id | string | |
values | string |
Get a custom record
GET /custom-records/{id}
Scope records:read · Cost 1
Parameters
| Name | Type | Description |
|---|---|---|
id required | path · integer |
Change a custom record
PATCH /custom-records/{id}
Scope records:write · Cost 2
Parameters
| Name | Type | Description |
|---|---|---|
id required | path · integer | |
Idempotency-Key | header · string |
Request body (JSON)
| Name | Type | Description |
|---|---|---|
product_id | string | |
title | string | |
contact_id | string | |
organization_id | string | |
values | string |
Delete a custom record
DELETE /custom-records/{id}
Scope records:write · Cost 2
Parameters
| Name | Type | Description |
|---|---|---|
id required | path · integer | |
Idempotency-Key | header · string |